package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hslf.model.Sheet;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.sict.excel.dto.EarlyCancerHospitalDTO;
import com.sict.excel.dto.ScreeningRankProvinceDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class AnalysisHospitalEarlyCancerExcel {

	public static HSSFSheet  getsheet6(HSSFWorkbook workbook) throws IOException {
		
SqlSession sqlSession = SqlSessionUtil.getSession();
		
			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			
			ExportExcelUtil<EarlyCancerHospitalDTO> util = new ExportExcelUtil<EarlyCancerHospitalDTO>();
			
			String[] columnNames = {"排名","医院名称","省份","合计","高级别食管粘膜上皮内瘤变","早期食管癌","进展期食管癌","高级别胃粘膜上皮内瘤病变","早期胃癌","进展期胃癌"};
			
			List<EarlyCancerHospitalDTO> list = mapper.geteaCancerHospitals();
			
		//	String path = "E:/2019/excel/" + "运营分析-医院早癌 胃癌数.xls";
			HSSFSheet sheet = util.exportExcel(workbook,"运营分析-医院早癌 胃癌数", columnNames, list,  ExportExcelUtil.EXCEl_FILE_2007);
			sqlSession.commit();
	
			sqlSession.close();
		

		return sheet;
	}

}
