package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;

import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.sict.excel.dto.AnalysisProvinceDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class AnalysisProvinceExcel {

	public static HSSFSheet getSheet5(HSSFWorkbook workbook) throws IOException {

		SqlSession sqlSession = SqlSessionUtil.getSession();
		
			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			
			ExportExcelUtil<AnalysisProvinceDTO> util = new ExportExcelUtil<AnalysisProvinceDTO>();
			
			String[] columnNames = {"省份","申请医院总数 ","开通账号医院总数","申请账号中的医院总数","通过申请医院数","平台账号申请医院数","筛查人数","早癌数"};
			
			List<AnalysisProvinceDTO> list = mapper.getAnalysisProvinceDTOs();
			
			//String path = "E:/2019/excel/" + "运营分析-省份数据.xls";
			HSSFSheet sheet = util.exportExcel(workbook,"运营分析-省份数据", columnNames, list,  ExportExcelUtil.EXCEl_FILE_2007);
			sqlSession.commit();
		
			sqlSession.close();
		
		return sheet;

		
	}

}
