package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;
import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.sict.excel.dto.EarlyCancerRankDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class ProvinceEarlyCancerRankExcel {

	public static HSSFSheet  getSheet7(HSSFWorkbook workbook) throws IOException {
		SqlSession sqlSession = SqlSessionUtil.getSession();

			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			ExportExcelUtil<EarlyCancerRankDTO> util = new ExportExcelUtil<EarlyCancerRankDTO>();
			String[] columnNames = {"省份","早癌数"};
			List<EarlyCancerRankDTO> list = mapper.getEarlyCancerRankDTOs();
			//String path = "E:/2019/excel/" + "省份早癌排名.xls";
			HSSFSheet sheet = util.exportExcel(workbook,"省份早癌排名", columnNames, list, ExportExcelUtil.EXCEl_FILE_2007);
			sqlSession.commit();
	
			sqlSession.close();
			return sheet;
	}

}
