package com.sict.excel.test;

import java.io.FileOutputStream;
import java.io.IOException;
import java.util.List;
import org.apache.ibatis.session.SqlSession;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.sict.excel.dto.EarlyCancerRankDTO;
import com.sict.excel.dto.ScreeningRankDTO;
import com.sict.excel.mapper.DownloadMapper;
import com.sict.excel.utils.ExportExcelUtil;
import com.sict.excel.utils.SqlSessionUtil;

public class ScreeningRankGecaExcel {

	public static HSSFWorkbook getsheet10(HSSFWorkbook workbook) throws IOException {
		SqlSession sqlSession = SqlSessionUtil.getGecaSession();

			DownloadMapper mapper = sqlSession.getMapper(DownloadMapper.class);
			ExportExcelUtil<ScreeningRankDTO> util = new ExportExcelUtil<ScreeningRankDTO>();
			String[] columnNames = {"排名","医联体名称","血检人数"};
			List<ScreeningRankDTO> list = mapper.getScreeningRankDTOs();
			String path = "E:/2019/excel/" + "体检筛查排名-血检人数.xls";
			HSSFSheet sheet = util.exportExcel(workbook,"体检筛查排名-血检人数", columnNames, list,  ExportExcelUtil.EXCEl_FILE_2007);
			sqlSession.commit();
		
			sqlSession.close();
			return workbook;
	}

}
