package com.sict.excel.utils;

import java.io.IOException;
import java.io.InputStream;

import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;

public class SqlSessionUtil {

	// 获取mybatis全局配置文件
	private static String resource = "mybatis-config.xml";

	public static SqlSession getSession() throws IOException {

		InputStream inputStream = Resources.getResourceAsStream(resource);
		// 读取配置文件的配置信息，利用SqlSessionFactoryBuilder创建sqlSessionFactory
		SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
		// 利用sqlSessionFactory打开与数据库的会话
		SqlSession sqlSession = sqlSessionFactory.openSession();

		return sqlSession;

	}

	private static String resource2 = "mybatis-geca.xml";
	public static SqlSession getGecaSession() throws IOException {

		InputStream inputStream = Resources.getResourceAsStream(resource2);
		// 读取配置文件的配置信息，利用SqlSessionFactoryBuilder创建sqlSessionFactory
		SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
		// 利用sqlSessionFactory打开与数据库的会话
		SqlSession sqlSession = sqlSessionFactory.openSession();

		return sqlSession;

	}

	
	private static String resource3 = "mybatis-qg.xml";
	public static SqlSession getQgSession() throws IOException {

		InputStream inputStream = Resources.getResourceAsStream(resource3);
		// 读取配置文件的配置信息，利用SqlSessionFactoryBuilder创建sqlSessionFactory
		SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
		// 利用sqlSessionFactory打开与数据库的会话
		SqlSession sqlSession = sqlSessionFactory.openSession();
  
		return sqlSession;

	}
	
	
	private static String resource4 = "mybatis-shchyy.xml";
	public static SqlSession getShchyySession() throws IOException {

		InputStream inputStream = Resources.getResourceAsStream(resource4);
		// 读取配置文件的配置信息，利用SqlSessionFactoryBuilder创建sqlSessionFactory
		SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
		// 利用sqlSessionFactory打开与数据库的会话
		SqlSession sqlSession = sqlSessionFactory.openSession();

		return sqlSession;

	}
}
