package com.sict.excel;

import java.io.FileOutputStream;
import java.io.IOException;

import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.sict.excel.test.AnalysisGraphicExcel;
import com.sict.excel.test.AnalysisHospitalEarlyCancerExcel;
import com.sict.excel.test.AnalysisProvinceExcel;
import com.sict.excel.test.Diagnosis;
import com.sict.excel.test.GastroscopeTest;
import com.sict.excel.test.ProvinceEarlyCancerRankExcel;
import com.sict.excel.test.ScreeningRankGecaExcel;
import com.sict.excel.test.ScreeningRankProvinceExcel;
import com.sict.excel.test.ScreeningRankQgExcel;
import com.sict.excel.test.ScreeningRankShchyyExcel;
import com.sict.excel.test.SerumTest;

public class myExcel {

	public static void main(String[] args) throws Exception {
		HSSFWorkbook workbook = new HSSFWorkbook();
		//筛查监控-血清学检查
		SerumTest serumTest = new SerumTest();
		HSSFSheet sheet1 = serumTest.getsheet1(workbook);
		workbook.setSheetName(0, "筛查监控-血清学检查");
		//筛查监控-胃镜检查
		GastroscopeTest gastroscopeTest = new GastroscopeTest();
		HSSFSheet sheet2 = gastroscopeTest.getSheet2(workbook);
		workbook.setSheetName(1, "筛查监控-胃镜检查");
		//筛查监控-诊断结果
		Diagnosis diagnosis = new Diagnosis();
		HSSFSheet sheet3 = diagnosis.getSheet3(workbook);
		workbook.setSheetName(2, "筛查监控-诊断结果");
		//运营分析-图例数据
		AnalysisGraphicExcel analysisGraphicExcel = new AnalysisGraphicExcel();
		HSSFSheet sheet4 = analysisGraphicExcel.getsheet4(workbook);
		workbook.setSheetName(3, "运营分析-图例数据");
		//运营分析-省份数据
		AnalysisProvinceExcel analysisProvinceExcel = new AnalysisProvinceExcel();
		HSSFSheet sheet5 = analysisProvinceExcel.getSheet5(workbook);
		workbook.setSheetName(4, "运营分析-省份数据");
		//运营分析-医院早癌 胃癌数
		AnalysisHospitalEarlyCancerExcel analysisHospitalEarlyCancerExcel = new AnalysisHospitalEarlyCancerExcel();
		HSSFSheet sheet6 = analysisHospitalEarlyCancerExcel.getsheet6(workbook);
		workbook.setSheetName(5, "运营分析-医院早癌 胃癌数");
		//省份早癌排名
		ProvinceEarlyCancerRankExcel provinceEarlyCancerRankExcel = new ProvinceEarlyCancerRankExcel();
		HSSFSheet sheet7 = provinceEarlyCancerRankExcel.getSheet7(workbook);
		workbook.setSheetName(6, "省份早癌排名");
		//筛查排名-按血检人数排名
		ScreeningRankProvinceExcel screeningRankProvinceExcel = new ScreeningRankProvinceExcel();
		HSSFSheet sheet8 = screeningRankProvinceExcel.getSheet8(workbook);
		workbook.setSheetName(7, "筛查排名-按血检人数排名");
		//社区筛查排名-血检人数
		ScreeningRankShchyyExcel screeningRankShchyyExcel = new ScreeningRankShchyyExcel();
		HSSFSheet sheet9 = screeningRankShchyyExcel.getSheet9(workbook);
		workbook.setSheetName(8, "社区筛查排名-血检人数");
		//体检筛查排名-血检人数
		ScreeningRankGecaExcel screeningRankGecaExcel = new ScreeningRankGecaExcel();
		HSSFWorkbook getsheet10 = screeningRankGecaExcel.getsheet10(workbook);
		workbook.setSheetName(9, "体检筛查排名-血检人数");
		//门诊筛查排名-血检人数
		ScreeningRankQgExcel screeningRankQgExcel = new ScreeningRankQgExcel();
		HSSFSheet sheet11 = screeningRankQgExcel.getSheet11(workbook);
		workbook.setSheetName(10, "门诊筛查排名-血检人数");
		
		
		FileOutputStream outputStream = new FileOutputStream("E:/2019/excel/GICC+map+data.xls");
		workbook.write(outputStream);
		outputStream.close();
	}

}
